org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage

## Interface EMFPatternLanguagePackage.Literals

- Enclosing interface:
    EMFPatternLanguagePackage

      public static interface EMFPatternLanguagePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `CLASS_TYPE` The meta object literal for the '`Class Type`' class.
    `static org.eclipse.emf.ecore.EReference` | `CLASS_TYPE__CLASSNAME` The meta object literal for the 'Classname' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CLASS_TYPE__METAMODEL` The meta object literal for the 'Metamodel' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `ECLASSIFIER_CONSTRAINT` The meta object literal for the '`EClassifier Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `ECLASSIFIER_CONSTRAINT__TYPE` The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `ECLASSIFIER_CONSTRAINT__VAR` The meta object literal for the 'Var' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `ENUM_VALUE` The meta object literal for the '`Enum Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `ENUM_VALUE__ENUMERATION` The meta object literal for the 'Enumeration' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `ENUM_VALUE__LITERAL` The meta object literal for the 'Literal' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PACKAGE_IMPORT` The meta object literal for the '`Package Import`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PACKAGE_IMPORT__ALIAS` The meta object literal for the 'Alias' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PACKAGE_IMPORT__EPACKAGE` The meta object literal for the 'EPackage' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_IMPORT` The meta object literal for the '`Pattern Import`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_IMPORT__PATTERN` The meta object literal for the 'Pattern' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_MODEL` The meta object literal for the '`Pattern Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_MODEL__IMPORT_PACKAGES` The meta object literal for the 'Import Packages' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `REFERENCE_TYPE` The meta object literal for the '`Reference Type`' class.
    `static org.eclipse.emf.ecore.EReference` | `REFERENCE_TYPE__REFNAME` The meta object literal for the 'Refname' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `XIMPORT_SECTION` The meta object literal for the '`XImport Section`' class.
    `static org.eclipse.emf.ecore.EReference` | `XIMPORT_SECTION__PACKAGE_IMPORT` The meta object literal for the 'Package Import' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `XIMPORT_SECTION__PATTERN_IMPORT` The meta object literal for the 'Pattern Import' containment reference list feature.

- - ### Field Detail

    - #### XIMPORT_SECTION

          static final org.eclipse.emf.ecore.EClass XIMPORT_SECTION

      The meta object literal for the '`XImport Section`' class.
      See Also:
        `XImportSectionImpl`, `EMFPatternLanguagePackageImpl.getXImportSection()`
      Generated:

    - #### XIMPORT_SECTION__PACKAGE_IMPORT

          static final org.eclipse.emf.ecore.EReference XIMPORT_SECTION__PACKAGE_IMPORT

      The meta object literal for the 'Package Import' containment reference list feature.
      Generated:

    - #### XIMPORT_SECTION__PATTERN_IMPORT

          static final org.eclipse.emf.ecore.EReference XIMPORT_SECTION__PATTERN_IMPORT

      The meta object literal for the 'Pattern Import' containment reference list feature.
      Generated:

    - #### PACKAGE_IMPORT

          static final org.eclipse.emf.ecore.EClass PACKAGE_IMPORT

      The meta object literal for the '`Package Import`' class.
      See Also:
        `PackageImportImpl`, `EMFPatternLanguagePackageImpl.getPackageImport()`
      Generated:

    - #### PACKAGE_IMPORT__EPACKAGE

          static final org.eclipse.emf.ecore.EReference PACKAGE_IMPORT__EPACKAGE

      The meta object literal for the 'EPackage' reference feature.
      Generated:

    - #### PACKAGE_IMPORT__ALIAS

          static final org.eclipse.emf.ecore.EAttribute PACKAGE_IMPORT__ALIAS

      The meta object literal for the 'Alias' attribute feature.
      Generated:

    - #### PATTERN_IMPORT

          static final org.eclipse.emf.ecore.EClass PATTERN_IMPORT

      The meta object literal for the '`Pattern Import`' class.
      See Also:
        `PatternImportImpl`, `EMFPatternLanguagePackageImpl.getPatternImport()`
      Generated:

    - #### PATTERN_IMPORT__PATTERN

          static final org.eclipse.emf.ecore.EReference PATTERN_IMPORT__PATTERN

      The meta object literal for the 'Pattern' reference feature.
      Generated:

    - #### ECLASSIFIER_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass ECLASSIFIER_CONSTRAINT

      The meta object literal for the '`EClassifier Constraint`' class.
      See Also:
        `EClassifierConstraintImpl`, `EMFPatternLanguagePackageImpl.getEClassifierConstraint()`
      Generated:

    - #### ECLASSIFIER_CONSTRAINT__TYPE

          static final org.eclipse.emf.ecore.EReference ECLASSIFIER_CONSTRAINT__TYPE

      The meta object literal for the 'Type' containment reference feature.
      Generated:

    - #### ECLASSIFIER_CONSTRAINT__VAR

          static final org.eclipse.emf.ecore.EReference ECLASSIFIER_CONSTRAINT__VAR

      The meta object literal for the 'Var' containment reference feature.
      Generated:

    - #### ENUM_VALUE

          static final org.eclipse.emf.ecore.EClass ENUM_VALUE

      The meta object literal for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `EMFPatternLanguagePackageImpl.getEnumValue()`
      Generated:

    - #### ENUM_VALUE__ENUMERATION

          static final org.eclipse.emf.ecore.EReference ENUM_VALUE__ENUMERATION

      The meta object literal for the 'Enumeration' reference feature.
      Generated:

    - #### ENUM_VALUE__LITERAL

          static final org.eclipse.emf.ecore.EReference ENUM_VALUE__LITERAL

      The meta object literal for the 'Literal' reference feature.
      Generated:

    - #### PATTERN_MODEL

          static final org.eclipse.emf.ecore.EClass PATTERN_MODEL

      The meta object literal for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `EMFPatternLanguagePackageImpl.getPatternModel()`
      Generated:

    - #### PATTERN_MODEL__IMPORT_PACKAGES

          static final org.eclipse.emf.ecore.EReference PATTERN_MODEL__IMPORT_PACKAGES

      The meta object literal for the 'Import Packages' containment reference feature.
      Generated:

    - #### CLASS_TYPE

          static final org.eclipse.emf.ecore.EClass CLASS_TYPE

      The meta object literal for the '`Class Type`' class.
      See Also:
        `ClassTypeImpl`, `EMFPatternLanguagePackageImpl.getClassType()`
      Generated:

    - #### CLASS_TYPE__METAMODEL

          static final org.eclipse.emf.ecore.EReference CLASS_TYPE__METAMODEL

      The meta object literal for the 'Metamodel' reference feature.
      Generated:

    - #### CLASS_TYPE__CLASSNAME

          static final org.eclipse.emf.ecore.EReference CLASS_TYPE__CLASSNAME

      The meta object literal for the 'Classname' reference feature.
      Generated:

    - #### REFERENCE_TYPE

          static final org.eclipse.emf.ecore.EClass REFERENCE_TYPE

      The meta object literal for the '`Reference Type`' class.
      See Also:
        `ReferenceTypeImpl`, `EMFPatternLanguagePackageImpl.getReferenceType()`
      Generated:

    - #### REFERENCE_TYPE__REFNAME

          static final org.eclipse.emf.ecore.EReference REFERENCE_TYPE__REFNAME

      The meta object literal for the 'Refname' reference feature.
      Generated: